## org.eclipse.jetty.annotations
Class ResourcesAnnotationHandler

    java.lang.Object
      org.eclipse.jetty.annotations.AnnotationIntrospector.AbstractIntrospectableAnnotationHandler
          org.eclipse.jetty.annotations.ResourcesAnnotationHandler

All Implemented Interfaces:
  AnnotationIntrospector.IntrospectableAnnotationHandler

    public class ResourcesAnnotationHandler

extends AnnotationIntrospector.AbstractIntrospectableAnnotationHandler

Field Summary
`protected WebAppContext` `_wac`

Constructor Summary
`ResourcesAnnotationHandler(WebAppContext wac)`

Method Summary
`void` `doHandle(Class clazz)`

Methods inherited from class org.eclipse.jetty.annotations.AnnotationIntrospector.AbstractIntrospectableAnnotationHandler
`handle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _wac

    protected WebAppContext _wac

Constructor Detail

### ResourcesAnnotationHandler

    public ResourcesAnnotationHandler(WebAppContext wac)

Method Detail

### doHandle

    public void doHandle(Class clazz)

  Specified by:
    `doHandle` in class `AnnotationIntrospector.AbstractIntrospectableAnnotationHandler`

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.